graph_setup <-
function(nCues, Cues, uniqueCues){
  am = matrix(0, nCues, nCues)   # trigrams are vertices
  rownames(am)=colnames(am) = uniqueCues
  for (i in 1:length(Cues)) {
    v = Cues[[i]]
    for (j in 1:(length(v)-1)) {
      am[v[j], v[j+1]] = 1       # any pair ABC BCD will have directed edge
                                 # from ABC to BCD
    }
  }
  # library(igraph)  
  am.g = igraph::graph.adjacency(am)  
  return(list(am=am, am.g=am.g))
}
