\name{get_path_weights}
\alias{get_path_weights}
\title{
Add support from the meaning-to-form mapping to a vectors in a list of paths.
}
\description{
Returns a named vector with vertex supports as values and vertex names as names for the k-th vector in a list of paths.
}
\usage{
get_path_weights(k, net, paths)
}
\arguments{
\item{k}{
Index of vector in the list \code{paths}.
}
\item{net}{
Thinned adjacency matrix.
}
\item{paths}{
List with vectors of vertices constituting legal word paths.
}
}
%\details{
%%  ~~ If necessary, more details than the description above ~~
%}
\value{
A named vector with vertex supports.
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
R. H. Baayen
}
%\note{
%%  ~~further notes~~
%}
\seealso{
See also as \code{\link{speak}}.
}
%\examples{
%##---- Should be DIRECTLY executable !! ----
%##-- ==>  Define data, use random,
%##--	or do  help(data=index)  for the standard data sets.
%}
\keyword{misc}
